---
layout: handbook-page-toc
title: Secure Frontend
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}


### Secure Frontend

The Secure Frontend team supports multiple groups beneath the [Secure sub-department](/handbook/engineering/development/secure).

### Team members

<%= direct_team(role_regexp: /[,&] Secure/, manager_role: 'Frontend Engineering Manager, Secure') %>

### Indicating Status and Raising Risk

All Deliverable issues should be marked `On Track` at the beginning of a milestone. If there is concern with doing so, then we should discuss why.
Issues that have not gone into review by the 10th may not have enough time to get merged. These should be considered Needs Attention or At Risk depending on their complexity and other factors.

Raising risk early is important. The more time we have, the more options we have.  Follow these steps when raising or downgrading risk:

1. Update the Health Status in the issue:
    1. `On Track` - there is no indication the work won't get merged by the 15th.
    1. `Needs Attention` - the issue is blocked or has other factors that need to be discussed.
    1. `At Risk` - the issue is in jeopardy of missing the merge cutoff of the 15th.
1. Add a comment about why the risk has increased or decreased.
1. Copy the Frontend Engineering Manager and Project Manager in a comment.
1. Copy the Backend Engineering Manager if there is associated backend work that may be impacted.

Note that an issue probably shouldn't go directly from On Track to At Risk.  Consider a progression: `On Track -> Needs Attention -> At Risk`.


### Issue Boards

* [Planning Workflow Board](https://gitlab.com/groups/gitlab-org/-/boards/1804313?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=devops%3A%3Asecure&not[label_name][]=group%3A%3Athreat%20insights&label_name[]=frontend&milestone_title=13.3) shows upcomming work we are planning.
* [Delivery Workflow Board](https://gitlab.com/groups/gitlab-org/-/boards/1888372?label_name[]=devops%3A%3Asecure&not[label_name][]=group%3A%3Athreat%20insights&label_name[]=frontend&milestone_title=13.3) shows our progress in the current milestone.
* [Assignee Distribution Board](https://gitlab.com/groups/gitlab-org/-/boards/943056?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=frontend&label_name[]=devops%3A%3Asecure&milestone_title=13.3) shows open issues distributed by assignee.
* [Assignee Distribution App](https://nmccorrison.gitlab.io/issue-dashboard/#/13.3/farias-gl,markrian,djadmin,pgascouvaillancourt,dpisek) is a work in progress Vue app used for milestone planning and review.
* [Refinement Issues List](https://gitlab.com/gitlab-org/gitlab/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=devops%3A%3Asecure&label_name[]=frontend&not[label_name][]=group%3A%3Athreat%20insights&label_name[]=secure%3Arefinement-frontend) shows issues that need refinement.

### Reaching out to us

* [#s_secure-frontend] channel in Slack
* @secure_fe for notifications in Slack
* [@gitlab-org/secure/frontend] for notifications in GitLab


[#s_secure-frontend]: https://gitlab.slack.com/archives/s_secure-frontend
[@gitlab-org/secure/frontend]: https://gitlab.com/groups/gitlab-org/secure/frontend/-/group_members?with_inherited_permissions=exclude

